import npyscreen


class Handler(npyscreen.ButtonPress):
    """
    Very important, called when the player hits send, there are several things we need to do here:
    1: handle the player's input, and run logic, this is done in handler.py
    2: prepare new items to display on the screen
    3: re-render the screen
    """
    def whenPressed(self):
        self.parent.update_log(self.parent.dialogueBox.value)
        self.parent.dialogueBox.value = ''
        self.parent.artContent.display()
        self.parent.parentApp.switchForm('GAME')
